import { config, networkUtils } from '../../utils';

const { api } = config;
const { bpm } = api;

// export async function getDefs(params) {
//   return networkUtils.request({
//     url: bpm.procDefs,
//     method: 'get',
//   });
// }

export async function query(params) {
  return networkUtils.request({
    url: bpm.faultsOf,
    method: 'get',
    data: params,
  });
}

export async function closeFault({ id, remark }) {
  return networkUtils.request({
    url: bpm.closeFault.replace('{id}', id),
    method: 'post',
    data: { closeMemo: remark },
  });
}
